org.eclipse.rdf4j.sail

## Class SailConnectionGraphQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractQuery
    - - org.eclipse.rdf4j.query.impl.AbstractParserQuery
      - - org.eclipse.rdf4j.sail.SailConnectionQuery
        - - org.eclipse.rdf4j.sail.SailConnectionGraphQuery

- All Implemented Interfaces:
    GraphQuery, Operation, Query

      public class SailConnectionGraphQuery
      extends SailConnectionQuery
      implements GraphQuery

  Author:
    Arjohn Kampman

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `AbstractParserQuery.QueryInterruptIteration`

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

      `Query.QueryType`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `DEFAULT_EXPLANATION_EXECUTION_TIMEOUT`

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SailConnectionGraphQuery(ParsedGraphQuery tupleQuery, SailConnection con, ValueFactory vf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphQueryResult` | `evaluate()`
    `void` | `evaluate(RDFHandler handler)`
    `ParsedGraphQuery` | `getParsedQuery()`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.SailConnectionQuery

      `explain, getSailConnection`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `enforceMaxQueryTime, getActiveDataset, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractQuery

      `getMaxQueryTime, setMaxQueryTime`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Query

      `explain, getMaxQueryTime, setMaxQueryTime`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Constructor Detail

    - #### SailConnectionGraphQuery

          public SailConnectionGraphQuery(ParsedGraphQuery tupleQuery,
                                          SailConnection con,
                                          ValueFactory vf)

  - ### Method Detail

    - #### getParsedQuery

          public ParsedGraphQuery getParsedQuery()

      Overrides:
        `getParsedQuery` in class `AbstractParserQuery`

    - #### evaluate

          public GraphQueryResult evaluate()
                                    throws QueryEvaluationException

      Specified by:
        `evaluate` in interface `GraphQuery`
      Throws:
        `QueryEvaluationException`

    - #### evaluate

          public void evaluate(RDFHandler handler)
                        throws QueryEvaluationException,
                               RDFHandlerException

      Specified by:
        `evaluate` in interface `GraphQuery`
      Throws:
        `QueryEvaluationException`
        `RDFHandlerException`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.